GET
/
v1
/
automations
/
runs
List runs
curl --request GET \
  --url https://platform.jobbit.uk/v1/automations/runs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://platform.jobbit.uk/v1/automations/runs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.jobbit.uk/v1/automations/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.jobbit.uk/v1/automations/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://platform.jobbit.uk/v1/automations/runs"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://platform.jobbit.uk/v1/automations/runs")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'

url = URI("https://platform.jobbit.uk/v1/automations/runs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
{
  "items": [
    {
      "id": "f60b3c91-0a2d-4e75-8b1c-d49e27a5c308",
      "automation_id": "2d9c6a40-7e18-4b3f-a5d2-61f08b4c9e37",
      "automation_name": "Weekly booking summary",
      "version_id": "88e1d5b2-43a7-4c06-9f3e-b7a0c2d41e59",
      "event_id": "6a20b9d4-1c58-4f37-8d02-5e7a91c3b480",
      "status": "succeeded",
      "reason": "completed",
      "parent_execution_id": null,
      "depth": 0,
      "priority": 1,
      "metrics": {
        "cost_usd": 0.021,
        "active_seconds": 38.2,
        "steps_completed": 3,
        "attempts": 3
      },
      "cost_credits": 7,
      "result": {
        "summary": "42 bookings this week, 6 more than last week."
      },
      "error": null,
      "cancel_requested_at": null,
      "created_at": "2026-11-02T08:00:00+00:00",
      "started_at": "2026-11-02T08:00:01+00:00",
      "finished_at": "2026-11-02T08:00:41+00:00",
      "trigger": {
        "trigger_id": "weekly",
        "source": "schedule",
        "received_at": "2026-11-02T08:00:00+00:00"
      },
      "actor": null,
      "retry_of": null,
      "retried_by": null,
      "stopped_at": null,
      "working": false
    }
  ]
}
{
"error": {
"code": "invalid_key",
"message": "the API key is missing or invalid",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "insufficient_scope",
"message": "this key does not have the deploy:write permission",
"details": {
"required": "deploy:write"
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "not_found",
"message": "unknown automation",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "invalid_request",
"message": "the request is not valid",
"details": [
{
"location": [
"body",
"name"
],
"message": "String should match pattern '^[a-z0-9][a-z0-9-]*$'",
"type": "string_pattern_mismatch"
}
],
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "rate_limited",
"message": "too many read requests, retry in 4 s",
"details": {
"group": "read",
"limit": 120,
"window_seconds": 60
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}

Authorizations

Authorization
string
header
required

An API key from Settings → API keys, sent as Authorization: Bearer jb_live_…

Query Parameters

automation_id
string

Only runs of this automation.

Maximum string length: 64
status
enum<string>[]

Only runs in these statuses. Repeat the parameter for several.

Available options:
queued,
running,
waiting,
succeeded,
failed,
cancelled
before
string<date-time>

Only runs queued before this time.

limit
integer
default:50

How many runs to return.

Required range: 1 <= x <= 200

Response

The runs.

items
object[]
required

The runs.